跳到正文

debug_node_api.debug_get_witness_schedule ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

返回调试节点(debug node)当前的见证人排期(witness schedule)。

Parameters ​

PARAMETERS
json
{}

⚠ 该方法在 steem 源码中有定义,但公共节点未启用。

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_get_witness_schedule",
    "params": {},
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "id": 0,
  "current_virtual_time": "0",
  "next_shuffle_block_num": 21573344,
  "current_shuffled_witnesses": [],
  "num_scheduled_witnesses": 192,
  "elected_weight": 49,
  "timeshare_weight": 73,
  "miner_weight": 1,
  "witness_pay_normalization_factor": 0,
  "median_props": {
    "account_creation_fee": {
      "amount": "0",
      "precision": 3,
      "nai": "@@000000021"
    },
    "maximum_block_size": 131072,
    "sbd_interest_rate": 1000,
    "account_subsidy_budget": 797,
    "account_subsidy_decay": 347321
  },
  "majority_version": "0.0.0",
  "max_voted_witnesses": 128,
  "max_miner_witnesses": 131,
  "max_runner_witnesses": 191,
  "hardfork_required_witnesses": 4,
  "account_subsidy_rd": {
    "resource_unit": 0,
    "budget_per_time_unit": 0,
    "pool_eq": 0,
    "max_pool_size": 0,
    "decay_params": {
      "decay_per_time_unit": 0,
      "decay_per_time_unit_denom_shift": 0
    },
    "min_decay": 0
  },
  "account_subsidy_witness_rd": {
    "resource_unit": 0,
    "budget_per_time_unit": 0,
    "pool_eq": 0,
    "max_pool_size": 0,
    "decay_params": {
      "decay_per_time_unit": 0,
      "decay_per_time_unit_denom_shift": 0
    },
    "min_decay": 0
  },
  "min_witness_account_subsidy_decay": 0
}